安装

Mac 自带 Ruby 环境,查看:

1
$ gem -v

通过 surge 等工具实现终端科学上网,或更改 gem 源。

安装 & 更新 Pod:

1
$ sudo gem install cocoapods

确认:

1
$ pod --version

使用

进入工程根目录,创建 Podfile 文件。

写入:

1
2
3
4
platform :ios, '8.0'
target 'svnt' do
pod 'AFNetworking', '~> 3.0'
end

即最低支持 iOS 8,第三方框架 AFN 的版本为 3.0。

cdPodfile 所在目录,进行安装第三方库:

1
$ pod install

后续使用

查询框架是否有新版本:

1
$ pod outdated

更新框架:

1
$ pod update

参考 & 感谢